Index: cpp/common/framsg.cpp
===================================================================
--- cpp/common/framsg.cpp	(revision 371)
+++ 	(revision )
@@ -1,61 +1,0 @@
-// This file is a part of Framsticks SDK.  http://www.framsticks.com/
-// Copyright (C) 1999-2015  Maciej Komosinski and Szymon Ulatowski.
-// See LICENSE.txt for details.
-
-#include "framsg.h"
-#include <common/nonstd_stdio.h>
-#include "stl-util.h"
-#include "Convert.h"
-
-const char* MSG_LEVEL[]={"[DEBUG] ","","[WARN] ","[ERROR] ","[CRITICAL] "};
-
-void FramMessage(const char *o, const char *m, const char *txt, int w)
-{
-	int line = 0; //all lines except the first one get the "..." prefix
-	const char* nextsep;
-	do
-	{
-		nextsep = strchr(txt, '\n');
-		if (nextsep == NULL) //last chunk, until the end
-			nextsep = strchr(txt, '\0');
-		if ((nextsep > txt) && (nextsep[-1] == '\r'))
-			nextsep--;
-		if (line == 0)
-		{
-			if (*nextsep == 0) //there was only one line! no need to modify it in any way.
-				_FramMessageSingleLine(o, m, txt, w);
-			else //first line from multi-line
-				_FramMessageSingleLine(o, m, string(txt, nextsep - txt).c_str(), w);
-		}
-		else //consecutive lines from multi-line
-			_FramMessageSingleLine(o, m, (FRAMSG_MULTILINE_CONTINUATION + string(txt, nextsep - txt)).c_str(), w); //could also add line numbers like ...(3)... but let's keep the prefix short and simple
-		line++;
-		if ((nextsep[0] == '\r') && (nextsep[1] == '\n'))
-			txt = nextsep + 2;
-		else if (*nextsep)
-			txt = nextsep + 1;
-	} while (*nextsep);
-}
-
-
-void FMprintf_va(const char *o,const char *m,int w,const char *bl,va_list va)
-{
-	string buf=ssprintf_va(bl,va);
-	FramMessage(o,m,buf.c_str(),w);
-}
-
-void FMprintf(const char *o,const char *m,int w,const char *bl, ...)
-{
-	va_list argptr;
-	va_start(argptr,bl);
-	FMprintf_va(o,m,w,bl,argptr);
-	va_end(argptr);
-}
-
-void printFM(const char *bl,...)
-{
-	va_list argptr;
-	va_start(argptr,bl);
-	FMprintf_va("Message","printf",FMLV_INFO,bl,argptr);
-	va_end(argptr);
-}
Index: cpp/common/framsg.h
===================================================================
--- cpp/common/framsg.h	(revision 371)
+++ 	(revision )
@@ -1,36 +1,0 @@
-// This file is a part of Framsticks SDK.  http://www.framsticks.com/
-// Copyright (C) 1999-2015  Maciej Komosinski and Szymon Ulatowski.
-// See LICENSE.txt for details.
-
-#ifndef _FRAMSG_H_
-#define _FRAMSG_H_
-
-#include <stdarg.h>
-
-extern const char* MSG_LEVEL[];
-#define FRAMSG_FORMAT "%s%s.%s: %s"
-#define FRAMSG_MULTILINE_CONTINUATION "..."
-
-void FMprintf(const char *o,const char *m,int w,const char *bl, ...);
-void FMprintf_va(const char *o,const char *m,int w,const char *bl,va_list va); //a different name than FMprintf - otherwise the compiler could confuse the "string" parameter with va_list and could call the wrong function
-void printFM(const char *bl,...); //a shorthand for printf (a different name again to avoid the risk of confusion with the two functions above. This would be unlikely but possible when the argument types would match)
-void FramMessage(const char *o,const char *m,const char *txt,int w);
-
-void _FramMessageSingleLine(const char *o,const char *m,const char *txt,int w); //don't call this directly - it is used internally
-
-#define FMLV_DEBUG -1
-#define FMLV_INFO 0
-#define FMLV_WARN 1
-#define FMLV_ERROR 2
-#define FMLV_CRITICAL 3
-
-/*
-w: weight (importance) of a message
--1:debugging information, not needed for final users
-0: information
-1: warning or corrected error
-2: uncorrected error. can cause malfunction
-3: serious error, causes side effects. user should save what can be saved and restart the application
-*/
-
-#endif
Index: cpp/common/hmessage.cpp
===================================================================
--- cpp/common/hmessage.cpp	(revision 372)
+++ cpp/common/hmessage.cpp	(revision 372)
@@ -0,0 +1,61 @@
+// This file is a part of Framsticks SDK.  http://www.framsticks.com/
+// Copyright (C) 1999-2015  Maciej Komosinski and Szymon Ulatowski.
+// See LICENSE.txt for details.
+
+#include "hmessage.h"
+#include <common/nonstd_stdio.h>
+#include "stl-util.h"
+#include "Convert.h"
+
+const char* HMSG_LEVEL[]={"[DEBUG] ","","[WARN] ","[ERROR] ","[CRITICAL] "};
+
+void Hmessage(const char *o, const char *m, const char *txt, int w)
+{
+	int line = 0; //all lines except the first one get the "..." prefix
+	const char* nextsep;
+	do
+	{
+		nextsep = strchr(txt, '\n');
+		if (nextsep == NULL) //last chunk, until the end
+			nextsep = strchr(txt, '\0');
+		if ((nextsep > txt) && (nextsep[-1] == '\r'))
+			nextsep--;
+		if (line == 0)
+		{
+			if (*nextsep == 0) //there was only one line! no need to modify it in any way.
+				_HmessageSingleLine(o, m, txt, w);
+			else //first line from multi-line
+				_HmessageSingleLine(o, m, string(txt, nextsep - txt).c_str(), w);
+		}
+		else //consecutive lines from multi-line
+			_HmessageSingleLine(o, m, (HMSG_MULTILINE_CONTINUATION + string(txt, nextsep - txt)).c_str(), w); //could also add line numbers like ...(3)... but let's keep the prefix short and simple
+		line++;
+		if ((nextsep[0] == '\r') && (nextsep[1] == '\n'))
+			txt = nextsep + 2;
+		else if (*nextsep)
+			txt = nextsep + 1;
+	} while (*nextsep);
+}
+
+
+void Hprintf_va(const char *o,const char *m,int w,const char *bl,va_list va)
+{
+	string buf=ssprintf_va(bl,va);
+	Hmessage(o,m,buf.c_str(),w);
+}
+
+void Hprintf(const char *o,const char *m,int w,const char *bl, ...)
+{
+	va_list argptr;
+	va_start(argptr,bl);
+	Hprintf_va(o,m,w,bl,argptr);
+	va_end(argptr);
+}
+
+void printH(const char *bl,...)
+{
+	va_list argptr;
+	va_start(argptr,bl);
+	Hprintf_va("Message","printf",HMLV_INFO,bl,argptr);
+	va_end(argptr);
+}
Index: cpp/common/hmessage.h
===================================================================
--- cpp/common/hmessage.h	(revision 372)
+++ cpp/common/hmessage.h	(revision 372)
@@ -0,0 +1,36 @@
+// This file is a part of Framsticks SDK.  http://www.framsticks.com/
+// Copyright (C) 1999-2015  Maciej Komosinski and Szymon Ulatowski.
+// See LICENSE.txt for details.
+
+#ifndef _HMESSAGE_H_
+#define _HMESSAGE_H_
+
+#include <stdarg.h>
+
+extern const char* HMSG_LEVEL[];
+#define HMSG_FORMAT "%s%s.%s: %s"
+#define HMSG_MULTILINE_CONTINUATION "..."
+
+void Hprintf(const char *o,const char *m,int w,const char *bl, ...);
+void Hprintf_va(const char *o,const char *m,int w,const char *bl,va_list va); //a different name than Hprintf - otherwise the compiler could confuse the "string" parameter with va_list and could call the wrong function
+void printH(const char *bl,...); //a shorthand for printf (a different name again to avoid the risk of confusion with the two functions above. This would be unlikely but possible when the argument types would match)
+void Hmessage(const char *o,const char *m,const char *txt,int w);
+
+void _HmessageSingleLine(const char *o,const char *m,const char *txt,int w); //don't call this directly - it is used internally
+
+#define HMLV_DEBUG -1
+#define HMLV_INFO 0
+#define HMLV_WARN 1
+#define HMLV_ERROR 2
+#define HMLV_CRITICAL 3
+
+/*
+w: weight (importance) of a message
+-1:debugging information, not needed for final users
+0: information
+1: warning or corrected error
+2: uncorrected error. can cause malfunction
+3: serious error, causes side effects. user should save what can be saved and restart the application
+*/
+
+#endif
Index: cpp/common/nonstd_math.cpp
===================================================================
--- cpp/common/nonstd_math.cpp	(revision 371)
+++ cpp/common/nonstd_math.cpp	(revision 372)
@@ -81,5 +81,5 @@
 // But it was resolved by restarting windows and cleaning all intermediate compilation files :o (restarting windows was the key element! restarting BC++Builder and deleting files would not help)
 
-#include "framsg.h"
+#include "hmessage.h"
 
 unsigned int fp_control_word_std;
@@ -89,5 +89,5 @@
 {
 	//unsigned int was=_clear87();
-	//FMprintf("","fpExceptInit",FMLV_INFO,"control87 status before clear was %08x", was);
+	//Hprintf("","fpExceptInit",HMLV_INFO,"control87 status before clear was %08x", was);
 	fp_control_word_std=_control87(0, 0);             //4978 = 1001101110010
 	// Make the new fp env same as the old one, except for the changes we're going to make
@@ -98,7 +98,7 @@
 {
 	unsigned int was=_clear87(); //trzeba czyscic zeby nie bylo exception...
-	//FMprintf("","fpExceptEnable ",FMLV_INFO,"control87 status before clear was %08x", was);
+	//Hprintf("","fpExceptEnable ",HMLV_INFO,"control87 status before clear was %08x", was);
 	_control87(fp_control_word_std, 0xffffffff);
-	//FMprintf("","fpExceptEnable ",FMLV_INFO,"control87 flags are %08x", _control87(0, 0)); //kontrola co sie ustawilo
+	//Hprintf("","fpExceptEnable ",HMLV_INFO,"control87 flags are %08x", _control87(0, 0)); //kontrola co sie ustawilo
 }
 
@@ -106,7 +106,7 @@
 {
 	unsigned int was=_clear87(); //trzeba czyscic zeby nie bylo exception...
-	//FMprintf("","fpExceptDisable",FMLV_INFO,"control87 status before clear was %08x", was);
+	//Hprintf("","fpExceptDisable",HMLV_INFO,"control87 status before clear was %08x", was);
 	_control87(fp_control_word_muted, 0xffffffff);
-	//FMprintf("","fpExceptDisable",FMLV_INFO,"control87 flags are %08x", _control87(0, 0)); //kontrola co sie ustawilo
+	//Hprintf("","fpExceptDisable",HMLV_INFO,"control87 flags are %08x", _control87(0, 0)); //kontrola co sie ustawilo
 }
 
Index: cpp/common/nonstd_stdio.cpp
===================================================================
--- cpp/common/nonstd_stdio.cpp	(revision 371)
+++ cpp/common/nonstd_stdio.cpp	(revision 372)
@@ -241,5 +241,5 @@
 
 #ifdef __ANDROID__
-#include "framsg.h"
+#include "hmessage.h"
 #include "nonstd.h"
 #include "nonstd_stl.h"
@@ -247,6 +247,6 @@
 {
 	string respath=getAppResourcesDir();
-	//printFM("Opening '%s', mode='%s'",path,mode);
-	//printFM("getAppResourcesDir()='%s'",respath.c_str());
+	//printH("Opening '%s', mode='%s'",path,mode);
+	//printH("getAppResourcesDir()='%s'",respath.c_str());
 	NvFile *rfile=NULL; //can only read
 	FILE *rwfile=NULL;
@@ -255,12 +255,12 @@
 		path+=respath.length(); //strip the prefix, we need a relative path in assets
 		if (strstr(mode,"w"))
-			printFM("Warning: attempt to open a read-only resource '%s' in writable mode '%s'",path,mode);
+			printH("Warning: attempt to open a read-only resource '%s' in writable mode '%s'",path,mode);
 		rfile=NvFOpen(path); //"mode" not supported! can only read
-		//printFM("Opened RES file as %p",rfile);
+		//printH("Opened RES file as %p",rfile);
 		if (rfile==NULL) return NULL;
 	} else //a "normal" access (HOME)
 	{
 		rwfile=fopen(path,mode);
-		//printFM("Opened HOME file as %p",rwfile);
+		//printH("Opened HOME file as %p",rwfile);
 		if (rwfile==NULL) return NULL;
 	}
Index: cpp/common/stl-util.cpp
===================================================================
--- cpp/common/stl-util.cpp	(revision 371)
+++ cpp/common/stl-util.cpp	(revision 372)
@@ -9,5 +9,5 @@
 #include "Convert.h"
 #include "nonstd.h"
-#include "framsg.h"
+#include "hmessage.h"
 #include <assert.h>
 #ifdef USE_VIRTFILE
@@ -107,5 +107,5 @@
 	}
 	if (warn_on_missing_file && !ok)
-		FMprintf("stl-util", "readCompleteFile", FMLV_WARN, "Couldn't open file '%s'", filename);
+		Hprintf("stl-util", "readCompleteFile", HMLV_WARN, "Couldn't open file '%s'", filename);
 	return ok;
 }
@@ -137,5 +137,5 @@
 	}
 	if (warn_on_fail && !ok)
-		FMprintf("stl-util", "writeCompleteFile", FMLV_WARN, "couldn't write file '%s'", filename);
+		Hprintf("stl-util", "writeCompleteFile", HMLV_WARN, "couldn't write file '%s'", filename);
 	return ok;
 }
